Field calculator does not work when creating new PostGIS real and double columns

2013-06-24 05:57 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16973

Description

When computing a new column of type real or double, it seems that is ok, but after saving edits and closing/reopening the column this is

filled with just nulls.

Updating the new column works fine.

Numeric and decimal types are not affected.

Works ok on 1.8

Related issues:

Related to QGIS Application - Bug report # 8235: Attribute will be NULL, afte... Closed 2013-07-08

Associated revisions

Revision f2031053 - 2013-07-09 10:22 AM - Jürgen Fischer

postgres provider: set length and precision of native floating point types to -1 (fixes #8145)

History

#1 - 2013-06-28 08:41 AM - Matthias Kuhn

- Status changed from Open to Feedback

Unable to reproduce using the field calculator. Can you provide more detailed instructions please.

#2 - 2013-06-29 02:50 AM - Giovanni Manghi

- File postgis_fc.mp4 added

Matthias Kuhn wrote:

Unable to reproduce using the field calculator. Can you provide more detailed instructions please.

see attached screencast

#3 - 2013-06-30 01:22 PM - Salvatore Larosa
confirmed here !

#4 - 2013-07-02 03:09 AM - Matthias Kuhn

I can reproduce it now. I don't know what the problem was before.

#5 - 2013-07-02 03:50 AM - Matthias Kuhn

- Assignee set to Jürgen Fischer

The problem is, that the postgres provider assigns -1 / 0 to field size / field precision differently that they are assigned in the NativeTypes (it's 0 as default

argument there)

When committing, the fields from the vector layer and the newly created provider fields are compared and the process is aborted because they don't seem

to be equal.

It's similar to commit:0b780b0a

Jef: I'll leave it to you to decide if the postgres provider or the QgsField::operator== should be adjusted.

#6 - 2013-07-09 01:22 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"f2031053878af267ef5fa77b676a7907ede8294d".

Files

postgis_fc.mp4 4.27 MB 2013-06-29 Giovanni Manghi
